KAutoMount class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAutoMount Class Reference

This class implements synchronous mounting of devices, as well as showing a file-manager window after mounting a device, optionally. This class implements synchronous mounting of devices. More...

`#include <kautomount.h>`

Inheritance diagram for KAutoMount:

[legend]
Collaboration diagram for KAutoMount:

[legend]
List of all members.

## Signals
void | finished ()
| Emitted when the directory has been mounted.
void | error ()
| Emitted in case the directory could not been mounted.
## Public Member Functions
| KAutoMount (bool readonly, const QString &format, const QString &device, const QString &mountpoint, const QString &desktopFile, bool show_filemanager_window=true)
| Mounts a device.
## Protected Slots
void | slotResult (KIO::Job *)
## Protected Attributes
QString | m_strDevice
bool | m_bShowFilemanagerWindow
QString | m_desktopFile

## Detailed Description

This class implements synchronous mounting of devices, as well as showing a file-manager window after mounting a device, optionally. This class implements synchronous mounting of devices.

It is a wrapper around the asychronous KIO::special() call for mount, used by KMimeType.

Definition at line 36 of file kautomount.h.

## Constructor & Destructor Documentation

KAutoMount::KAutoMount | ( | bool | readonly,
|  | const QString & | format,
|  | const QString & | device,
|  | const QString & | mountpoint,
|  | const QString & | desktopFile,
|  | bool | show_filemanager_window = true
| ) |

  | Mounts a device. Parameters:
  readonly | if true, the device is mounted read-only
  format | the file system (e.g. vfat, ext2...) [optional, fstab is used otherwise]
  device | the path to the device (e.g. /dev/fd0)
  mountpoint | the directory where to mount the device [optional, fstab is used otherwise]
  desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)
  show_filemanager_window | if true, a file-manager window for that mountpoint is shown after the mount, if successful.
Definition at line 32 of file kautomount.cpp. References QString::ascii(), QObject::connect(), and KIO::mount().

## Member Function Documentation

void KAutoMount::finished | ( |  | ) | `[signal]`

| Emitted when the directory has been mounted.

void KAutoMount::error | ( |  | ) | `[signal]`

| Emitted in case the directory could not been mounted.

The documentation for this class was generated from the following files:

- kautomount.h
- kautomount.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:06 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001